.wc-cart-button {
  position: relative;
  padding: 10px 15px;
  cursor: pointer;
}



.wc-cart-item {
    display: flex;
    gap: 10px;
    margin-bottom: 15px;
    border-bottom: 1px solid #d3d3d3;
    padding: 10px 0px;
}
	
	span.wc-cart-label {
    margin-top: -5px;
    font-weight: 600;
}

.wc-cart-count {
  background: #d5b138;
  color: white;
  border-radius: 50%;
  width: 20px;       /* ancho fijo */
  height: 20px;      /* alto igual al ancho */
  font-size: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 6px;
  left: 30px;
  font-weight: 600;
}


.wc-cart-cart {
  display: block;
  text-align: center;
  background: rgb(255, 255, 255);
  color: rgb(0, 0, 0);
  padding: 12px;
  text-decoration: none;
  border-radius: 25px;
  border:1px solid rgb(0, 0, 0);
  margin-top: 10px;
}

button#wc-cart-btn {
    display: flex;
    gap: 15px;
    align-items: center;
    font-size: 16px;
    color: #000000;
    background: #ffffff;
    padding: 8px 10px;
    padding-bottom: 3px;
    border: 0px;
}

.wc-cart-item-price p {
    margin-bottom: 0px;
}

p.wc-cart-item-unidades {
    margin-top: 5px;
}

.wc-cart-item-content-2 {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.wc-cart-item-content-2 ins.price-sale {
    text-decoration: none;
    font-weight: 600;
    font-size: 14px;
}

.wc-cart-item-content-2 span.woocommerce-Price-amount.amount{
    text-decoration: none;
    font-weight: 600;
    font-size: 14px;
}

.wc-cart-item-content-2 span.discount-label {
    background: #49e5a6cc;
    padding: 5px;
    border-radius: 24px;
    font-size: 12px;
    font-weight: 600;
}

.wc-cart-item-price del.price-regular span.woocommerce-Price-amount.amount bdi {
    font-size: 14px;
}

span.wc-cart-item-titulo{
    line-height: 20px;
    max-height: 45px;
    font-size: 16px !important;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

span.wc-cart-empty-titulo {
    font-size: 18px;
    font-weight: 600;
}

.wc-cart-empty {
    background: #d4b0374d;
    padding: 10px;
    border-radius: 6px;
}

a.wc-cart-empty-btn {
    background: #000000;
    padding: 8px 10px;
    border-radius: 25px;
    color: #fff!important;
    font-weight: 600;
    font-size: 14px;
}


/* Overlay */
.wc-cart-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,.4);
  opacity: 0;
  visibility: hidden;
  transition: .3s;
  z-index: 999;
}

.wc-cart-overlay.show {
  opacity: 1;
  visibility: visible;
}

/* Sidebar */
.wc-cart-sidebar {
  position: fixed;
  top: 0;
  right: -400px;
  width: 321px;;
  height: 100dvh;
  background: #fff;
  box-shadow: -2px 0 10px rgba(0,0,0,.2);
  transition: right .3s;
  z-index: 1000;
  display: flex;
  flex-direction: column;
}

.wc-cart-sidebar.open {
  right: 0;
}

.wc-cart-header,
.wc-cart-footer {
  padding: 15px;
  border-bottom: 1px solid #eee;
}

.wc-cart-footer span.woocommerce-Price-amount.amount {
    font-size: 20px;
    font-weight: 600;
}

.wc-cart-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

span.wc-cart-titulo {
    font-size: 18px;
    font-weight: 600;
}

button#wc-cart-close {
    background: #f8f8f8;
    padding: 0px 10px;
    color: #000;
    border: 1px solid #d4d4d4;
}

.wc-cart-content {
  flex: 1;
  overflow-y: auto;
  padding: 15px;
}

.wc-cart-content {
  overflow-y: auto;
  -webkit-overflow-scrolling: touch; /* scroll suave iOS */
  max-height: calc(100dvh - 140px);
}

.wc-cart-item {
  display: flex;
  gap: 10px;
  margin-bottom: 15px;
}



.wc-cart-item img {
    width: auto;
    height: 87px;
    border-radius: 6px;
    border: 1px solid #dfdfdf;
}

.wc-cart-item-price {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
}

.wc-cart-remove {
  margin-left: auto;
  text-decoration: none;
}

.wc-cart-checkout {
  display: block;
  text-align: center;
  background: rgb(0, 0, 0);
  color: white;
  padding: 12px;
  text-decoration: none;
  border-radius: 25px;
}

/* Estilo base del botón */
.wc-cart-checkout,
.wc-cart-cart {
    transition: all 0.3s ease; /* Animación suave */
}
a.wc-cart-checkout {
  color: #ffffff!important;
  font-weight: 600;
}
/* Hover / Focus */
.wc-cart-checkout:hover,
.wc-cart-cart:hover,
.wc-cart-checkout:focus {
    transform: scale(1.05); /* Crece un 5% */
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.25); /* Sombra negra difuminada */
}

/* Para móviles, suavizamos la animación */
@media (max-width: 768px) {
    .wc-cart-checkout:hover,
    .wc-cart-cart:hover,
    .wc-cart-checkout:focus {
        transform: scale(1.015);
        box-shadow: 0 6px 15px rgba(0,0,0,0.2);
    }
}

	
/* LOADER */
.wc-cart-loader {
  position: absolute;
  inset: 0;
  background: rgba(255,255,255,.8);
  display: none;
  align-items: center;
  justify-content: center;
  z-index: 2000;
}

.wc-cart-loader.show {
  display: flex;
}

.wc-cart-loader-box {
  text-align: center;
}

span.wc-cart-icon svg {
    margin-top: 6px;
}

button.wc-cart-remove {
    height: fit-content;
    border-radius: 25px;
    padding: 5px;
    border: 1px solid #d4d4d4;
    background-color: #f6f6f6 !important;
}

.wc-cart-remove {
  background: none;
  border: none;
  cursor: pointer;
  padding: 4px;
  color: #000000!important;
  transition: color .2s ease;
}

.wc-cart-remove:hover {
  color: #e11d48; /* rojo bonito */
}

.wc-cart-trash-icon {
  display: block;
}


.spinner {
  width: 40px;
  height: 40px;
  border: 4px solid #ddd;
  border-top: 4px solid #000000;
  border-radius: 50%;
  animation: spin 1s linear infinite;
  display: inline-block;
  margin-bottom: 10px;
}

@keyframes spin {
  to { transform: rotate(360deg); }
}
svg.icon-module_icon__Cn48w.icon-module_big__8nlaM.icon-XrrKXp{
    width: 24px;
    height: 24px;
}

@media (max-width: 1210px) {
    .wc-cart-button .wc-cart-label {
        display: none;
    }
}

@media (max-width: 768px) {
.user-area button#wc-cart-btn {
    padding: 8px 0px;
 }

.user-area .wc-cart-count {
    left: 20px;
}

.user-area {
    gap: 10px;
    padding-left: 10px;
}
button#wc-cart-btn {
    width: 50px;
}

.user-area .menu-btn {
    padding: 8px 0px;
}
}	
@media (max-width: 650px) {

.wc-cart-item-info {
    width: 100%;
}

.wc-cart-sidebar.open {
    width: 100%;
}
}

/* Evita el scroll cuando el carrito está abierto */
.body-no-scroll {
  position: fixed;
  width: 100%;
  height: 100%;
}

.wc-cart-sidebar {
  overflow: hidden;
}

.wc-cart-content {
  flex: 1;
  min-height: 0;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  padding: 15px;
  padding-bottom: 10px; /* para que no tape el footer */
}

a.wc-cart-empty-btn {
    color: #ffffff;
}


